seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/10/21, 06:40:40


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Perl transition  (Read 1082 times)

0 Members and 1 Guest are viewing this topic.

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.756
    • g-com.eu
Perl transition
« on: 2019/10/05, 15:08:19 »
Hi, we have a nice little perl transition ongoing - please be patient and wait for a day.

Moin, wir haben nen laufende Perl-Transition - ruhig bleiben und abwarten.

Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.718
  • we are the priests ... of the temples of syrinx
Re: Perl transition
« Reply #1 on: 2019/10/05, 20:05:53 »
 :P
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline tranquil

  • User
  • Posts: 57
Re: Perl transition
« Reply #2 on: 2019/10/06, 10:23:53 »
True dat...


Code: [Select]

The following packages were automatically installed and are no longer required:
  diffstat gnucash-common gnucash-docs guile-2.2 libalgorithm-c3-perl
  libaqbanking-data libaqbanking35 libaqbanking35-plugins libaqebics0 libaqhbci24
  libaqofxconnect7 libasync-mergepoint-perl libauthen-sasl-perl
  libboost-regex1.67.0 libbytes-random-secure-perl libcapture-tiny-perl
  libclass-c3-perl libclass-data-inheritable-perl libclass-inspector-perl
  libclass-method-modifiers-perl libclass-singleton-perl libcrypt-random-seed-perl
  libdata-dump-perl libdate-manip-perl libdbi1 libdevel-globaldestruction-perl
  libdevel-stacktrace-perl libdigest-bubblebabble-perl libdigest-hmac-perl
  libdynaloader-functions-perl libencode-locale-perl libexception-class-perl
  libexporter-tiny-perl libextutils-depends-perl libextutils-pkgconfig-perl
  libfile-find-rule-perl libfile-listing-perl libfile-sharedir-perl
  libfont-afm-perl libfuture-perl libgwenhywfar-data libgwenhywfar60
  libhtml-tagset-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl
  libhttp-message-perl libhttp-negotiate-perl libio-async-perl libio-html-perl
  libjson-perl libktoblzcheck1v5 liblist-compare-perl liblwp-mediatypes-perl
  libmath-random-isaac-perl libmro-compat-perl libnet-dns-perl
  libnet-domain-tld-perl libnet-http-perl libnet-ip-perl libnumber-compare-perl
  libofx7 libosp5 libpath-tiny-perl libreadonly-perl libref-util-perl
  librole-tiny-perl libstrictures-perl libstruct-dumb-perl
  libsub-exporter-progressive-perl libsub-install-perl libsub-quote-perl
  libtest-fatal-perl libtest-refcount-perl libtext-glob-perl
  libtext-levenshtein-perl libtie-ixhash-perl libtime-duration-perl
  libtimedate-perl libtry-tiny-perl libtype-tiny-perl libtype-tiny-xs-perl
  libvariable-magic-perl libwww-robotrules-perl libxml-namespacesupport-perl
  libxml-sax-base-perl libxml-sax-perl libxml-xpathengine-perl patchutils
  perl-openssl-defaults pkg-config python3-gnucash t1utils
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  debconf-i18n gnucash libalgorithm-diff-xs-perl libapt-pkg-perl
  libb-hooks-endofscope-perl libb-hooks-op-check-perl libcairo-perl
  libcgi-fast-perl libcgi-pm-perl libclass-accessor-perl libclass-c3-xs-perl
  libclass-xsaccessor-perl libclone-perl libcommon-sense-perl libcrypt-ssleay-perl
  libdata-optlist-perl libdatetime-locale-perl libdatetime-perl
  libdatetime-timezone-perl libdevel-callchecker-perl libdevel-caller-perl
  libdevel-lexalias-perl libemail-valid-perl libeval-closure-perl libfcgi-perl
  libfile-fcntllock-perl libfinance-quote-perl libglib-perl libgtk2-perl
  libhtml-form-perl libhtml-format-perl libhtml-parser-perl
  libhtml-tableextract-perl libhtml-tree-perl libimport-into-perl
  libio-async-loop-epoll-perl libio-pty-perl libio-socket-ssl-perl libipc-run-perl
  libjson-xs-perl liblinux-epoll-perl liblist-moreutils-perl
  liblwp-protocol-https-perl libmailtools-perl libmath-random-isaac-xs-perl
  libmodule-implementation-perl libmodule-runtime-perl libmoo-perl
  libnamespace-autoclean-perl libnamespace-clean-perl libnet-dbus-perl
  libnet-dns-sec-perl libnet-libidn-perl libnet-smtp-ssl-perl libnet-ssleay-perl
  libpackage-stash-perl libpackage-stash-xs-perl libpadwalker-perl libpango-perl
  libparams-classify-perl libparams-util-perl libparams-validationcompiler-perl
  libperlio-gzip-perl libref-util-xs-perl libsereal-decoder-perl
  libsereal-encoder-perl libsereal-perl libspecio-perl libsub-exporter-perl
  libsub-identify-perl libsub-name-perl libtext-charwidth-perl
  libtext-wrapi18n-perl libtypes-serialiser-perl libunicode-utf8-perl libwww-perl
  libxml-libxml-perl libxml-parser-perl libxml-sax-expat-perl libxml-simple-perl
  libxml-twig-perl libyaml-libyaml-perl lintian moreutils xscreensaver
  xscreensaver-data
The following NEW packages will be installed:
  libperl5.30 perl-modules-5.30
The following packages will be upgraded:
  calibre calibre-bin gir1.2-gtk-3.0 gir1.2-poppler-0.18 glib-networking-common
  gtk-update-icon-cache iputils-ping libblas3 libglibmm-2.4-1v5 libgtk-3-0
  libgtk-3-bin libgtk-3-common libhttp-cookies-perl libhttpclient-java
  libhttpcore-java liblapack3 libldap-2.4-2 libldap-2.4-2:i386
  liblocale-gettext-perl libopenmpt-modplug1 libopenmpt0 libopts25
  libparted-fs-resize0 libparted2 libpoppler-cpp0v5 libpoppler-glib8
  libpoppler-qt5-1 libpoppler82 libsmbclient libtext-iconv-perl
  libtype-tiny-xs-perl libunbound8 libvariable-magic-perl libwacom-bin
  libwacom-common libwacom2 libwbclient0 parted perl perl-base poppler-utils
  python-soupsieve samba-libs wpasupplicant xxd
45 upgraded, 2 newly installed, 86 to remove and 0 not upgraded.
Need to get 55.8 MB of archives.
After this operation, 33.7 MB disk space will be freed.


Thank you, melmarker.
Dual-booting Debian Stable and Unstable with Openbox window manager and Tint2 panel.

Offline tranquil

  • User
  • Posts: 57
Re: Perl transition
« Reply #3 on: 2019/10/06, 10:34:40 »
Thank goodness for apt-mark hold.  Putting the perl package on hold results in the ability to perform a full-upgrade:


Code: [Select]

The following packages have been kept back:
  liblocale-gettext-perl libtext-iconv-perl libtype-tiny-xs-perl
  libvariable-magic-perl perl perl-base
The following packages will be upgraded:
  calibre calibre-bin gir1.2-gtk-3.0 gir1.2-poppler-0.18 glib-networking-common
  gtk-update-icon-cache iputils-ping libblas3 libglibmm-2.4-1v5 libgtk-3-0
  libgtk-3-bin libgtk-3-common libhtml-form-perl libhttp-cookies-perl
  libhttpclient-java libhttpcore-java liblapack3 libldap-2.4-2 libldap-2.4-2:i386
  libopenmpt-modplug1 libopenmpt0 libopts25 libparted-fs-resize0 libparted2
  libpoppler-cpp0v5 libpoppler-glib8 libpoppler-qt5-1 libpoppler82 libsmbclient
  libunbound8 libwacom-bin libwacom-common libwacom2 libwbclient0 parted
  poppler-utils python-soupsieve samba-libs wpasupplicant xxd
40 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
Need to get 47.0 MB of archives.
After this operation, 2,228 kB disk space will be freed.


Don't forget to unhold perl afterwards.
Dual-booting Debian Stable and Unstable with Openbox window manager and Tint2 panel.

Offline seasons

  • User
  • Posts: 239
Re: Perl transition
« Reply #4 on: 2019/10/06, 18:43:48 »
Hi, we have a nice little perl transition ongoing - please be patient and wait for a day.
We might need to wait more than a day. Links are helpful...
https://release.debian.org/transitions/html/perl.html

Offline bullgard4

  • User
  • Posts: 29
Re: Perl transition
« Reply #5 on: 2019/10/06, 20:53:25 »
I tried to follow <tranquil>s advice
Quote
Thank goodness for apt-mark hold.  Putting the perl package on hold results in the ability to perform a full-upgrade
and did theoretically
Code: [Select]
~# apt install libperl5.30 perl-modules-5.30apt replied it would REMOVE signing-party and  surfraw-extra (as well as many perl packages).So I refrained from that and suggest to follow <seasons>' advice to wait yet upgrading.

Offline Geier0815

  • User
  • Posts: 476
Re: Perl transition
« Reply #6 on: 2019/10/07, 11:23:51 »
Quote
Start-Date: 2019-10-07  09:18:49
Commandline: apt dist-upgrade
Install: libldb2:amd64 (2:2.0.7-3, automatic), libllvm9:amd64 (1:9-2, automatic), libtracker-sparql-2.0-0:amd64 (2.1.8-2, automatic), perl-modules-5.30:amd64 (5.30.0-5, automatic), linux-headers-5.3.2-towo.2-siduction-amd64:amd64 (5.3-2.1, automatic), libperl5.30:amd64 (5.30.0-5, automatic), linux-image-5.3.2-towo.2-siduction-amd64:amd64 (5.3-2.1, automatic)
Upgrade: libgraphicsmagick-q16-3:amd64 (1.4+really1.3.33+hg16115-1, 1.4+really1.3.33+hg16115-1+b1), linux-image-siduction-amd64:amd64 (5.3-2, 5.3-2.1), info:amd64 (6.7.0.dfsg.2-2, 6.7.0.dfsg.2-3+b1), libgcc-7-dev:amd64 (7.4.0-13, 7.4.0-14), perl-base:amd64 (5.28.1-6, 5.30.0-5), libossp-uuid-perl:amd64 (1.6.2-1.5+b7, 1.6.2-1.5+b8), libmpx2:amd64 (8.3.0-22, 8.3.0-23), libcrypt-ssleay-perl:amd64 (0.73.06-1+b1, 0.73.06-1+b2), libgcrypt20-dev:amd64 (1.8.5-2, 1.8.5-3), libnet-libidn-perl:amd64 (0.12.ds-3+b1, 0.12.ds-3+b2), python3-dbg:amd64 (3.7.3-1, 3.7.5-1), iso-codes:amd64 (4.3-1, 4.4-1), python3-dev:amd64 (3.7.3-1, 3.7.5-1), poppler-utils:amd64 (0.71.0-5+b1, 0.71.0-6), libb-hooks-op-check-perl:amd64 (0.22-1+b1, 0.22-1+b2), liblapack3:amd64 (3.8.0-6, 3.8.0-7), libgles2-mesa:amd64 (19.1.6-1, 19.2.0-1), glib-networking-services:amd64 (2.62.0-2, 2.62.1-1), hexchat:amd64 (2.14.2-5, 2.14.2-5+b1), libffmpegthumbnailer4v5:amd64 (1:2.2.1-dmo1, 1:2.2.2-dmo1), gnuplot:amd64 (5.2.7+dfsg1-4, 5.2.7+dfsg1-5), gir1.2-gtk-3.0:amd64 (3.24.11-1, 3.24.12-1), libparams-validate-perl:amd64 (1.29-2, 1.29-2+b1), graphicsmagick:amd64 (1.4+really1.3.33+hg16115-1, 1.4+really1.3.33+hg16115-1+b1), libnet-ssleay-perl:amd64 (1.88-1, 1.88-1+b1), linux-libc-dev:amd64 (5.2.17-1, 5.2.17-1+b1), liblist-moreutils-perl:amd64 (0.416-1+b4, 0.416-1+b5), libwacom-common:amd64 (0.32-1, 1.1-1), libhtml-form-perl:amd64 (6.04-2, 6.05-1), libgdal20:amd64 (2.4.2+dfsg-1+b2, 2.4.2+dfsg-1+b3), libldap-2.4-2:amd64 (2.4.48+dfsg-1, 2.4.48+dfsg-1+b1), snmp:amd64 (5.7.3+dfsg-5+b1, 5.7.3+dfsg-5+b2), libmagickcore-6.q16-6-extra:amd64 (8:6.9.10.23+dfsg-2.1+b1, 8:6.9.10.23+dfsg-2.1+b2), libimage-magick-q16-perl:amd64 (8:6.9.10.23+dfsg-2.1+b1, 8:6.9.10.23+dfsg-2.1+b2), libegl1-mesa-dev:amd64 (19.1.6-1, 19.2.0-1), libproxy1v5:amd64 (0.4.15-5, 0.4.15-7), libegl-mesa0:amd64 (19.1.6-1, 19.2.0-1), libsereal-encoder-perl:amd64 (4.007+ds-1, 4.007+ds-1+b1), imagemagick:amd64 (8:6.9.10.23+dfsg-2.1+b1, 8:6.9.10.23+dfsg-2.1+b2), libsqlite3-dev:amd64 (3.29.0-2, 3.30.0-1), libwbclient0:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), whois:amd64 (5.5.1, 5.5.2), libmultidimensional-perl:amd64 (0.014-1+b1, 0.014-1+b2), glib-networking:amd64 (2.62.0-2, 2.62.1-1), libgtk-3-common:amd64 (3.24.11-1, 3.24.12-1), gnuplot-qt:amd64 (5.2.7+dfsg1-4, 5.2.7+dfsg1-5), libgtk-3-0:amd64 (3.24.11-1, 3.24.12-1), libvariable-magic-perl:amd64 (0.62-1+b1, 0.62-1+b2), libparted2:amd64 (3.2-26, 3.2-27), elinks:amd64 (0.13~20190125-4, 0.13~20190125-4+b1), python3-ldb:amd64 (2:1.5.5-2, 2:2.0.7-3), libgs9:amd64 (9.28~~rc3~dfsg-1, 9.28~~rc4~dfsg-1), seahorse:amd64 (3.32.2-1, 3.34-1), cpp-7:amd64 (7.4.0-13, 7.4.0-14), cpp-8:amd64 (8.3.0-22, 8.3.0-23), libglapi-mesa:amd64 (19.1.6-1, 19.2.0-1), mesa-common-dev:amd64 (19.1.6-1, 19.2.0-1), libdevel-callchecker-perl:amd64 (0.008-1, 0.008-1+b1), gcc-8-base:amd64 (8.3.0-22, 8.3.0-23), samba:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), libcrypt-openssl-random-perl:amd64 (0.15-1+b1, 0.15-1+b2), libdbi-perl:amd64 (1.642-1+b1, 1.642-1+b2), libsqlite3-0:amd64 (3.29.0-2, 3.30.0-1), libmagickwand-6.q16-6:amd64 (8:6.9.10.23+dfsg-2.1+b1, 8:6.9.10.23+dfsg-2.1+b2), libharfbuzz-gobject0:amd64 (2.6.1-3, 2.6.2-1), libopenmpt0:amd64 (0.4.8-1, 0.4.9-1), libsort-key-perl:amd64 (1.33-2+b1, 1.33-2+b2), libpoppler-qt5-1:amd64 (0.71.0-5+b1, 0.71.0-6), debian-faq:amd64 (10.0, 10.1), libtiff-dev:amd64 (4.0.10+git190903-1, 4.0.10+git191003-1), pidgin:amd64 (2.13.0-2.2, 2.13.0-2.2+b1), hexchat-perl:amd64 (2.14.2-5, 2.14.2-5+b1), gtk-3-examples:amd64 (3.24.11-1, 3.24.12-1), libfcgi-perl:amd64 (0.78-2+b3, 0.78-2+b4), libpotrace0:amd64 (1.16-1, 1.16-2), texinfo:amd64 (6.7.0.dfsg.2-2, 6.7.0.dfsg.2-3+b1), gcc-7-base:amd64 (7.4.0-13, 7.4.0-14), libclass-c3-xs-perl:amd64 (0.14-1+b3, 0.14-1+b4), libuuid-perl:amd64 (0.28-1, 0.28-1+b1), liblocale-gettext-perl:amd64 (1.07-3+b4, 1.07-3+b5), libxatracker2:amd64 (19.1.6-1, 19.2.0-1), libpackage-stash-xs-perl:amd64 (0.29-1, 0.29-1+b1), python3:amd64 (3.7.3-1, 3.7.5-1), libzbar0:amd64 (0.23-1.1, 0.23-1.1+b1), libperlio-gzip-perl:amd64 (0.19-1+b5, 0.19-1+b6), libharfbuzz-icu0:amd64 (2.6.1-3, 2.6.2-1), libcilkrts5:amd64 (7.4.0-13, 7.4.0-14), libwxgtk3.0-gtk3-0v5:amd64 (3.0.4+dfsg-12, 3.0.4+dfsg-13), libwacom-bin:amd64 (0.32-1, 1.1-1), libfribidi-dev:amd64 (1.0.5-3.1, 1.0.7-1), libegl1-mesa:amd64 (19.1.6-1, 19.2.0-1), libnm0:amd64 (1.20.4-1, 1.20.4-2), libsub-identify-perl:amd64 (0.14-1+b1, 0.14-1+b2), libtype-tiny-xs-perl:amd64 (0.016-1, 0.016-1+b1), libasan4:amd64 (7.4.0-13, 7.4.0-14), libclass-xsaccessor-perl:amd64 (1.19-3+b2, 1.19-3+b3), libcurses-perl:amd64 (1.36-1+b5, 1.36-1+b6), libdazzle-1.0-0:amd64 (3.34.0-2, 3.34.1-1), libparams-util-perl:amd64 (1.07-3+b4, 1.07-3+b5), libposix-strptime-perl:amd64 (0.13-1+b5, 0.13-1+b6), libdevel-caller-perl:amd64 (2.06-2+b1, 2.06-2+b2), libterm-readkey-perl:amd64 (2.38-1, 2.38-1+b1), libpq5:amd64 (12~rc1-1, 12.0-1+b1), xfwm4:amd64 (4.14.0-1, 4.14.0-2), libparted-fs-resize0:amd64 (3.2-26, 3.2-27), libsvn1:amd64 (1.10.6-1, 1.10.6-1+b1), libwxgtk3.0-0v5:amd64 (3.0.4+dfsg-12, 3.0.4+dfsg-13), glib-networking-common:amd64 (2.62.0-2, 2.62.1-1), libunicode-utf8-perl:amd64 (0.62-1, 0.62-1+b1), perl-doc:amd64 (5.28.1-6, 5.30.0-5), libapparmor1:amd64 (2.13.3-5, 2.13.3-5+b1), libgbm1:amd64 (19.1.6-1, 19.2.0-1), libfont-freetype-perl:amd64 (0.12-1+b1, 0.12-1+b2), libkworkspace5-5:amd64 (4:5.14.5.1-2, 4:5.14.5.1-3), libfile-fcntllock-perl:amd64 (0.22-3+b5, 0.22-3+b6), geoclue-2.0:amd64 (2.5.3-1, 2.5.5-1), libapt-pkg-perl:amd64 (0.1.36+b1, 0.1.36+b2), libtiff5-dev:amd64 (4.0.10+git190903-1, 4.0.10+git191003-1), libgeoclue-2-0:amd64 (2.5.3-1, 2.5.5-1), libgmime-3.0-0:amd64 (3.2.3-2, 3.2.4-1), snmpd:amd64 (5.7.3+dfsg-5+b1, 5.7.3+dfsg-5+b2), samba-libs:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), libstdc++-7-dev:amd64 (7.4.0-13, 7.4.0-14), hexchat-plugins:amd64 (2.14.2-5, 2.14.2-5+b1), sqlite3:amd64 (3.29.0-2, 3.30.0-1), libinput-bin:amd64 (1.14.1-1, 1.14.1-2), libossp-uuid16:amd64 (1.6.2-1.5+b7, 1.6.2-1.5+b8), libharfbuzz-dev:amd64 (2.6.1-3, 2.6.2-1), libgcc-8-dev:amd64 (8.3.0-22, 8.3.0-23), libunbound8:amd64 (1.9.3-1+b1, 1.9.4-1), libglib2.0-dev-bin:amd64 (2.62.0-2, 2.62.0-3), libparams-classify-perl:amd64 (0.015-1+b1, 0.015-1+b2), imagemagick-6.q16:amd64 (8:6.9.10.23+dfsg-2.1+b1, 8:6.9.10.23+dfsg-2.1+b2), libtiff5:amd64 (4.0.10+git190903-1, 4.0.10+git191003-1), libsnmp30:amd64 (5.7.3+dfsg-5+b1, 5.7.3+dfsg-5+b2), python3-minimal:amd64 (3.7.3-1, 3.7.5-1), libclone-perl:amd64 (0.41-1+b1, 0.41-1+b2), libapparmor-perl:amd64 (2.13.3-5, 2.13.3-5+b1), libsub-name-perl:amd64 (0.21-1+b3, 0.21-1+b4), libcrypt-openssl-dsa-perl:amd64 (0.19-1+b3, 0.19-1+b4), libgtk-3-bin:amd64 (3.24.11-1, 3.24.12-1), libubsan0:amd64 (7.4.0-13, 7.4.0-14), perl-tk:amd64 (1:804.033-2+b3, 1:804.033-2+b4), libsvn-perl:amd64 (1.10.6-1, 1.10.6-1+b1), libunicode-linebreak-perl:amd64 (0.0.20190101-1+b1, 0.0.20190101-1+b2), g++-7:amd64 (7.4.0-13, 7.4.0-14), g++-8:amd64 (8.3.0-22, 8.3.0-23), libxvidcore4:amd64 (3:1.3.5-dmo1, 3:1.3.5-dmo2), winbind:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), subversion:amd64 (1.10.6-1, 1.10.6-1+b1), python3-samba:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), libjbig2dec0:amd64 (0.16+20190905-3, 0.17-1), libnet-dbus-perl:amd64 (1.1.0-6, 1.1.0-6+b1), libpython3-stdlib:amd64 (3.7.3-1, 3.7.5-1), libgfortran4:amd64 (7.4.0-13, 7.4.0-14), libproxy-tools:amd64 (0.4.15-5, 0.4.15-7), samba-common:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), libdigest-sha-perl:amd64 (6.02-1+b1, 6.02-1+b2), gcc-7:amd64 (7.4.0-13, 7.4.0-14), gcc-8:amd64 (8.3.0-22, 8.3.0-23), libgcrypt20:amd64 (1.8.5-2, 1.8.5-3), krita-data:amd64 (1:4.2.6+dfsg-1, 1:4.2.7.1+dfsg-1), libglib2.0-bin:amd64 (2.62.0-2, 2.62.0-3), lintian:amd64 (2.24.0, 2.25.0), irssi:amd64 (1.2.2-1, 1.2.2-1+b1), libnet-dns-sec-perl:amd64 (1.13-1, 1.13-1+b1), vim:amd64 (2:8.1.0875-5, 2:8.1.0875-5+b1), gfortran-8:amd64 (8.3.0-22, 8.3.0-23), libgail-3-0:amd64 (3.24.11-1, 3.24.12-1), parted:amd64 (3.2-26, 3.2-27), libglib2.0-dev:amd64 (2.62.0-2, 2.62.0-3), libyaml-libyaml-perl:amd64 (0.80+repack-2, 0.80+repack-2+b1), libcrypt-openssl-rsa-perl:amd64 (0.31-1+b1, 0.31-1+b2), ghostscript:amd64 (9.28~~rc3~dfsg-1, 9.28~~rc4~dfsg-1), libimage-exiftool-perl:amd64 (11.65-1, 11.69-1), usb.ids:amd64 (2019.07.27-1, 2019.10.05-1), libwxbase3.0-0v5:amd64 (3.0.4+dfsg-12, 3.0.4+dfsg-13), wpasupplicant:amd64 (2:2.9-1, 2:2.9-3), libcrypt-openssl-bignum-perl:amd64 (0.09-1+b1, 0.09-1+b2), libtemplate-perl:amd64 (2.27-1+b1, 2.27-1+b2), libutempter0:amd64 (1.1.6-3+b1, 1.1.6-4), libhttpclient-java:amd64 (4.5.9-1, 4.5.10-1), libtext-soundex-perl:amd64 (3.4-1+b7, 3.4-1+b8), libhttp-cookies-perl:amd64 (6.04-1, 6.04-2), subversion-tools:amd64 (1.10.6-1, 1.10.6-1+b1), gnuplot-data:amd64 (5.2.7+dfsg1-4, 5.2.7+dfsg1-5), xxd:amd64 (2:8.1.0875-5, 2:8.1.0875-5+b1), hexchat-python3:amd64 (2.14.2-5, 2.14.2-5+b1), libgl1-mesa-dev:amd64 (19.1.6-1, 19.2.0-1), libio-pty-perl:amd64 (1:1.08-1.1+b5, 1:1.08-1.1+b6), libgl1-mesa-dri:amd64 (19.1.6-1, 19.2.0-1), libwant-perl:amd64 (0.29-1+b4, 0.29-1+b5), libxml-libxml-perl:amd64 (2.0134+dfsg-1, 2.0134+dfsg-1+b1), python-soupsieve:amd64 (1.9.3+dfsg-1, 1.9.4+dfsg-1), libsmbclient:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), gir1.2-harfbuzz-0.0:amd64 (2.6.1-3, 2.6.2-1), libpadwalker-perl:amd64 (2.3-1+b1, 2.3-1+b2), xfce4-clipman:amd64 (2:1.4.3-1+b1, 2:1.4.3-2), smbclient:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), libfwupd2:amd64 (1.3.2-1, 1.3.2-2), samba-common-bin:amd64 (2:4.10.8+dfsg-1, 2:4.11.0+dfsg-10), libmagickcore-6.q16-6:amd64 (8:6.9.10.23+dfsg-2.1+b1, 8:6.9.10.23+dfsg-2.1+b2), iputils-ping:amd64 (3:20190709-1, 3:20190709-2), libosmesa6:amd64 (19.1.6-1, 19.2.0-1), libgs9-common:amd64 (9.28~~rc3~dfsg-1, 9.28~~rc4~dfsg-1), gnome-session-bin:amd64 (3.34.0-2, 3.34.0-3), ldap-utils:amd64 (2.4.48+dfsg-1, 2.4.48+dfsg-1+b1), libpurple0:amd64 (2.13.0-2.2, 2.13.0-2.2+b1), libglib2.0-data:amd64 (2.62.0-2, 2.62.0-3), libsocket6-perl:amd64 (0.29-1+b1, 0.29-1+b2), python-subversion:amd64 (1.10.6-1, 1.10.6-1+b1), libgl1-mesa-glx:amd64 (19.1.6-1, 19.2.0-1), libdbd-mysql-perl:amd64 (4.050-2, 4.050-2+b1), libmath-random-isaac-xs-perl:amd64 (1.004-2+b4, 1.004-2+b5), fwupd:amd64 (1.3.2-1, 1.3.2-2), libgfortran-8-dev:amd64 (8.3.0-22, 8.3.0-23), libwacom2:amd64 (0.32-1, 1.1-1), libhttpcore-java:amd64 (4.4.11-1, 4.4.12-1), libpcap0.8:amd64 (1.9.0-2, 1.9.1-1), perl:amd64 (5.28.1-6, 5.30.0-5), rsync:amd64 (3.1.3-6+b1, 3.1.3-7), vim-tiny:amd64 (2:8.1.0875-5, 2:8.1.0875-5+b1), libglibmm-2.4-1v5:amd64 (2.60.0-2, 2.62.0-1), gtk-update-icon-cache:amd64 (3.24.11-1, 3.24.12-1), libxml-parser-perl:amd64 (2.44-4, 2.46-1+b1), libpython3-dbg:amd64 (3.7.3-1, 3.7.5-1), mesa-vdpau-drivers:amd64 (19.1.6-1, 19.2.0-1), libpython3-dev:amd64 (3.7.3-1, 3.7.5-1), libbareword-filehandles-perl:amd64 (0.007-1, 0.007-1+b1), libpoppler-cpp0v5:amd64 (0.71.0-5+b1, 0.71.0-6), libharfbuzz0b:amd64 (2.6.1-3, 2.6.2-1), libblas3:amd64 (3.8.0-6, 3.8.0-7), libref-util-xs-perl:amd64 (0.117-1+b1, 0.117-1+b2), libopts25:amd64 (1:5.18.16-2, 1:5.18.16-3), libsereal-decoder-perl:amd64 (4.007+ds-1, 4.007+ds-1+b1), libtext-iconv-perl:amd64 (1.7-6, 1.7-6+b2), gnumeric:amd64 (1.12.45-1, 1.12.45-1+b1), libpoppler-glib8:amd64 (0.71.0-5+b1, 0.71.0-6), libpoppler82:amd64 (0.71.0-5+b1, 0.71.0-6), xfce4-clipman-plugin:amd64 (2:1.4.3-1+b1, 2:1.4.3-2), libhtml-parser-perl:amd64 (3.72-3+b3, 3.72-3+b4), libintl-xs-perl:amd64 (1.26-2+b4, 1.26-2+b5), liblexical-sealrequirehints-perl:amd64 (0.011-4, 0.011-4+b1), libalgorithm-diff-xs-perl:amd64 (0.04-5+b1, 0.04-5+b2), liblinux-epoll-perl:amd64 (0.016-1+b1, 0.016-1+b2), libglib2.0-0:amd64 (2.62.0-2, 2.62.0-3), install-info:amd64 (6.7.0.dfsg.2-2, 6.7.0.dfsg.2-3+b1), linux-headers-siduction-amd64:amd64 (5.3-2, 5.3-2.1), libstdc++-8-dev:amd64 (8.3.0-22, 8.3.0-23), vim-athena:amd64 (2:8.1.0875-5, 2:8.1.0875-5+b1), libfribidi0:amd64 (1.0.5-3.1, 1.0.7-1), libtiffxx5:amd64 (4.0.10+git190903-1, 4.0.10+git191003-1), libinput10:amd64 (1.14.1-1, 1.14.1-2), mesa-va-drivers:amd64 (19.1.6-1, 19.2.0-1), libtext-charwidth-perl:amd64 (0.04-9, 0.04-9+b1), libglx-mesa0:amd64 (19.1.6-1, 19.2.0-1), libscalar-list-utils-perl:amd64 (1:1.52-1, 1:1.52-1+b1)
Remove: libldb1:amd64 (2:1.5.5-2), libdevel-lexalias-perl:amd64 (0.05-2+b1), libindirect-perl:amd64 (0.39-1)
End-Date: 2019-10-07  09:21:21

Seems to be ok, BUT after this dist-upgrade sambaclient won't work anymore. Don't know if the d-u is the root cause. smb in thunar won't work anymore either.

Sah erst einmal ok aus ABER seitdem will sambaclient bei mir nicht mehr. Keine Ahnung ob das d-u die Ursache ist. smb im thunar will auch nicht mehr.

Quote
smbclient -L 10.1.1.11
WARNING: The "syslog" option is deprecated
WARNING: The "encrypt passwords" option is deprecated
Unable to initialize messaging context
WARNING: The "syslog" option is deprecated
WARNING: The "encrypt passwords" option is deprecated
protocol negotiation failed: NT_STATUS_IO_TIMEOUT

Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline tranquil

  • User
  • Posts: 57
Re: Perl transition
« Reply #7 on: 2019/10/08, 08:55:25 »
@bullgard4: Your problem is that you attempted to install perl libraries. Why would you hold perl and then attempt to install or manually upgrade perl libraries? You're lucky you didn't break your system.
Dual-booting Debian Stable and Unstable with Openbox window manager and Tint2 panel.

Offline Geier0815

  • User
  • Posts: 476
Re: Perl transition
« Reply #8 on: 2019/10/08, 11:09:39 »
Ok, it wasn't the perl-transition, it was the update to samba 4.11. This version has disabled SMBv1 by default.

Ok, es war nicht die perl-transition sondern das update auf samba 4.11. Da ist SMBv1 entfernt bzw abgeschaltet.
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline bullgard4

  • User
  • Posts: 29
Re: Perl transition
« Reply #9 on: 2019/10/08, 15:21:33 »
@bullgard4: Your problem is that you attempted to install perl libraries. Why would you hold perl and then attempt to install or manually upgrade perl libraries? You're lucky you didn't break your system.
At that time I did not hold perl. (I held all *perl* packages at an earlier time but that was unsuccessful.)Last night all packages were up-to-date.
I hope I was not too daring.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.367
Re: Perl transition
« Reply #10 on: 2019/10/08, 18:34:09 »
A hold of package foo will always be overridden by apt install foo.

Offline tranquil

  • User
  • Posts: 57
Re: Perl transition
« Reply #11 on: 2019/10/11, 06:07:09 »
Dual-booting Debian Stable and Unstable with Openbox window manager and Tint2 panel.